﻿:root {
    --scrolling-banner-back-color: #d0262f;
    --scrolling-banner-fore-color: white;
    --button-back-color: #d0262f;
    --button-fore-color: white;
    --button-border-color: white;
    --hot-button-back-color: #d0262f;
    --hot-button-fore-color: white;
    --hot-button-border-color: white;
}

html, body {
    height: 100%;
    margin: 0;
    font-family: 'Kalam', sans-serif;
    font-weight: 400;
    font-style: normal;
    display: flex;
    flex-direction: column;
}

.container {
    width: 100%;
    max-width: 800px;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: auto;
    margin-right: auto;
    padding: 0px;
    padding-bottom: 0px;
    box-sizing: border-box;
    text-align: center;
}

.banner {
    width: 100%;
    display: block;
}

image {
    margin-top: 0px;
    margin-bottom: 0px;
}

.header {
    margin-top: 4px;
    padding: 0px;
    width: 100%;
    overflow: hidden;
    background-color: var(--scrolling-banner-back-color);
    color: var(--scrolling-banner-fore-color);
}

#ScrollingBanner {
    margin-top: 4px;
    padding: 0px;
    overflow: hidden;
    font-size: 26px;
    white-space: nowrap;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: left;
    letter-spacing: 2px;
    line-height: 40px;
    font-weight: bold;

    user-select: none;            /* Standard */
    -webkit-user-select: none;    /* Chrome, Safari */
    -moz-user-select: none;       /* Firefox */
    -ms-user-select: none;        /* Internet Explorer/Edge */

}


.main {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding-left: 20px;
    padding-right: 20px;
    box-sizing: border-box;
}

p {
    margin-top: 15px;
    margin-bottom: 0;
    margin-left:15px;
    font-size: 26px;
    text-align: left;
    line-height: 1.5;
}

li {
    font-size: 22px;
    text-align: left;
    line-height: 1.4;
    margin-bottom: 10px;
}

.domain-example{
    color:red;
}

.button-container{
    margin-bottom: 20px;
}

.styled-button {
    width: 100%;
    margin-top: 20px;
    background-color: var(--button-back-color);
    color: var(--button-fore-color);
    border: 2px solid var(--button-border-color);
    padding: 10px 0;
    box-sizing: border-box;
    font-family: 'Kalam', sans-serif;
    font-size: 24px;
    font-weight: bold;
    letter-spacing: 2px;
    cursor: default;
    border-radius: 10px;
    text-align: center;
}

.custom {
    background-color: var(--hot-button-back-color);
    color: var(--hot-button-fore-color);
    border: 2px solid var(--hot-button-border-color);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3); /* Soft drop shadow */
}

    .custom:hover {
        box-shadow: 6px 6px 15px rgba(0, 0, 0, 0.5);
        transform: translateY(-2px); /* Slight lift effect */
    }

.scroll {
    padding-left: 50px;
    padding-right: 50px;
}

.domain-box {
    padding: 10px 16px;
    margin: 5px;
    background-color: #f2f2f2;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
    white-space: nowrap;
    float: left;
    font-family: monospace;
    width:250px;
    font-size:24px;
    text-align:left;
}

@media (max-width: 600px) {

    p {
        font-size: 21px;
    }

    li {
    font-size: 18px;
    }


    .styled-button {
        font-size: 21px;
    }

    .domain-box {
        width: 250px;
        font-size: 18px;
    }

}
